Ogre::ProgressiveMesh::PMTriangle Class Reference

A triangle in the progressive mesh, holds extra info like face normal. More...

`#include <OgreProgressiveMesh.h>`

List of all members.

## Public Member Functions

| PMTriangle ()
void | setDetails (size_t index, PMFaceVertex *v0, PMFaceVertex *v1, PMFaceVertex *v2)
void | computeNormal (void)
void | replaceVertex (PMFaceVertex *vold, PMFaceVertex *vnew)
bool | hasCommonVertex (PMVertex *v) const
bool | hasFaceVertex (PMFaceVertex *v) const
PMFaceVertex * | getFaceVertexFromCommon (PMVertex *commonVert)
void | notifyRemoved (void)

## Public Attributes

PMFaceVertex * | vertex [3]
Vector3 | normal
Real | area
bool | removed
size_t | index

## Detailed Description

A triangle in the progressive mesh, holds extra info like face normal.

Definition at line 248 of file OgreProgressiveMesh.h.

## Constructor & Destructor Documentation

Ogre::ProgressiveMesh::PMTriangle::PMTriangle | ( |  | ) |

## Member Function Documentation

void Ogre::ProgressiveMesh::PMTriangle::computeNormal | ( | void |  | ) |

PMFaceVertex* Ogre::ProgressiveMesh::PMTriangle::getFaceVertexFromCommon | ( | PMVertex * | commonVert | ) |

bool Ogre::ProgressiveMesh::PMTriangle::hasCommonVertex | ( | PMVertex * | v | ) | const

bool Ogre::ProgressiveMesh::PMTriangle::hasFaceVertex | ( | PMFaceVertex * | v | ) | const

void Ogre::ProgressiveMesh::PMTriangle::notifyRemoved | ( | void |  | ) |

void Ogre::ProgressiveMesh::PMTriangle::replaceVertex | ( | PMFaceVertex * | vold,
|  | PMFaceVertex * | vnew
| ) |  |

void Ogre::ProgressiveMesh::PMTriangle::setDetails | ( | size_t | index,
|  | PMFaceVertex * | v0,
|  | PMFaceVertex * | v1,
|  | PMFaceVertex * | v2
| ) |  |

## Member Data Documentation

Real Ogre::ProgressiveMesh::PMTriangle::area

Definition at line 261 of file OgreProgressiveMesh.h.

size_t Ogre::ProgressiveMesh::PMTriangle::index

Definition at line 263 of file OgreProgressiveMesh.h.

Vector3 Ogre::ProgressiveMesh::PMTriangle::normal

Definition at line 260 of file OgreProgressiveMesh.h.

bool Ogre::ProgressiveMesh::PMTriangle::removed

Definition at line 262 of file OgreProgressiveMesh.h.

PMFaceVertex* Ogre::ProgressiveMesh::PMTriangle::vertex[3]

Definition at line 259 of file OgreProgressiveMesh.h.

The documentation for this class was generated from the following file:

- OgreProgressiveMesh.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:34